> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Llm Scorer Dataset



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/llm/validate/dataset
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/llm/validate/dataset:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Validate Llm Scorer Dataset
      operationId: validate_llm_scorer_dataset_v2_scorers_llm_validate_dataset_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateLLMScorerDatasetRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateLLMScorerDatasetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ValidateLLMScorerDatasetRequest:
      properties:
        query:
          type: string
          title: Query
        response:
          type: string
          title: Response
        chain_poll_template:
          $ref: '#/components/schemas/ChainPollTemplate'
        scorer_configuration:
          $ref: '#/components/schemas/GeneratedScorerConfiguration'
        user_prompt:
          type: string
          title: User Prompt
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        dataset_version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset Version Index
        limit:
          type: integer
          title: Limit
          description: Maximum number of dataset rows to process.
          default: 100
        starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Starting Token
          description: Pagination offset into dataset rows.
        sort:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sort
          description: Optional sort configuration for dataset rows.
      type: object
      required:
        - query
        - response
        - chain_poll_template
        - scorer_configuration
        - user_prompt
        - dataset_id
      title: ValidateLLMScorerDatasetRequest
      description: Request to validate a new LLM scorer against a dataset.
    ValidateLLMScorerDatasetResponse:
      properties:
        metrics_experiment_id:
          type: string
          format: uuid4
          title: Metrics Experiment Id
        project_id:
          type: string
          format: uuid4
          title: Project Id
      type: object
      required:
        - metrics_experiment_id
        - project_id
      title: ValidateLLMScorerDatasetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChainPollTemplate:
      properties:
        metric_system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric System Prompt
          description: System prompt for the metric.
        metric_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Description
          description: Description of what the metric should do.
        value_field_name:
          type: string
          title: Value Field Name
          description: Field name to look for in the chainpoll response, for the rating.
          default: rating
        explanation_field_name:
          type: string
          title: Explanation Field Name
          description: >-
            Field name to look for in the chainpoll response, for the
            explanation.
          default: explanation
        template:
          type: string
          title: Template
          description: Chainpoll prompt template.
        metric_few_shot_examples:
          items:
            $ref: '#/components/schemas/FewShotExample'
          type: array
          title: Metric Few Shot Examples
          description: Few-shot examples for the metric.
        response_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Schema
          description: Response schema for the output
      type: object
      required:
        - template
      title: ChainPollTemplate
      description: |-
        Template for a chainpoll metric prompt,
        containing all the info necessary to send a chainpoll prompt.
    GeneratedScorerConfiguration:
      properties:
        model_alias:
          type: string
          title: Model Alias
          default: gpt-4.1-mini
        num_judges:
          type: integer
          maximum: 10
          minimum: 1
          title: Num Judges
          default: 3
        output_type:
          $ref: '#/components/schemas/OutputTypeEnum'
          description: Output type of the generated scorer.
          default: boolean
        scoreable_node_types:
          items:
            type: string
          type: array
          title: Scoreable Node Types
          description: Types of nodes that can be scored by this scorer.
        cot_enabled:
          type: boolean
          title: Cot Enabled
          description: Whether chain of thought is enabled for this scorer.
          default: false
        ground_truth:
          type: boolean
          title: Ground Truth
          description: Whether ground truth is enabled for this scorer.
          default: false
        multimodal_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/MultimodalCapability'
              type: array
            - type: 'null'
          title: Multimodal Capabilities
          description: Multimodal capabilities required by this scorer.
      type: object
      title: GeneratedScorerConfiguration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FewShotExample:
      properties:
        generation_prompt_and_response:
          type: string
          title: Generation Prompt And Response
        evaluating_response:
          type: string
          title: Evaluating Response
      type: object
      required:
        - generation_prompt_and_response
        - evaluating_response
      title: FewShotExample
      description: Few-shot example for a chainpoll metric prompt.
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
    MultimodalCapability:
      type: string
      enum:
        - vision
        - audio
      title: MultimodalCapability
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````